[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBEdit.WMSetFocus

Ensures that the control has the input focus.

## Declaration

Source position: dbctrls.pp line 204

`protected procedure TDBEdit.WMSetFocus(`
`var Message: TLMSetFocus`
`); message;`

## Arguments

`Message` |  | Window message handled for the control.

## Description

WMSetFocus is an overridden method in TDBEdit. WMSetFocus ensures that the text for the control is updated before calling the inherited method. This includes applying an edit mask assigned to the control when it has input focus.

## See also

TCustomEdit.WMSetFocus |  | Handles the LM_SETFOCUS message for the control.